### Method

# FwupdPlugin SecurityAttrs calculate_hsi

since: 2.0.7

#### Declaration [src]

    gchar*
    fu_security_attrs_calculate_hsi (
      FuSecurityAttrs* self,
      const gchar* fwupd_version,
      FuSecurityAttrsFlags flags
    )

#### Description [src]

Calculates the HSI string from the appended attributes.

Available since: 2.0.7

#### Parameters

`fwupd_version`

  Type: `const gchar*`

  Fwupd version, e.g. `2.0.7`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FuSecurityAttrsFlags`

  HSI attribute flags.

#### Return value

Type: `gchar*`

A string or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.